com.salesforce.hyperdb.grpc

## Class QueryResultSchema.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessageV3.Builder<QueryResultSchema.Builder>
      - - com.salesforce.hyperdb.grpc.QueryResultSchema.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, QueryResultSchemaOrBuilder, Cloneable

Enclosing class:
  QueryResultSchema

    public static final class QueryResultSchema.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<QueryResultSchema.Builder>
    implements QueryResultSchemaOrBuilder

Protobuf type `salesforce.hyperdb.grpc.v1.QueryResultSchema`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`QueryResultSchema.Builder` `addAllColumn(Iterable<? extends ColumnDescription> values)` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`QueryResultSchema.Builder` `addColumn(ColumnDescription.Builder builderForValue)` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`QueryResultSchema.Builder` `addColumn(ColumnDescription value)` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`QueryResultSchema.Builder` `addColumn(int index, ColumnDescription.Builder builderForValue)` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`QueryResultSchema.Builder` `addColumn(int index, ColumnDescription value)` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`ColumnDescription.Builder` `addColumnBuilder()` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`ColumnDescription.Builder` `addColumnBuilder(int index)` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`QueryResultSchema.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`QueryResultSchema` `build()`
`QueryResultSchema` `buildPartial()`
`QueryResultSchema.Builder` `clear()`
`QueryResultSchema.Builder` `clearColumn()` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`QueryResultSchema.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`QueryResultSchema.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`QueryResultSchema.Builder` `clone()`
`ColumnDescription` `getColumn(int index)` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`ColumnDescription.Builder` `getColumnBuilder(int index)` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`List<ColumnDescription.Builder>` `getColumnBuilderList()` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`int` `getColumnCount()` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`List<ColumnDescription>` `getColumnList()` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`ColumnDescriptionOrBuilder` `getColumnOrBuilder(int index)` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`List<? extends ColumnDescriptionOrBuilder>` `getColumnOrBuilderList()` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`QueryResultSchema` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`QueryResultSchema.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`QueryResultSchema.Builder` `mergeFrom(com.google.protobuf.Message other)`
`QueryResultSchema.Builder` `mergeFrom(QueryResultSchema other)`
`QueryResultSchema.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`QueryResultSchema.Builder` `removeColumn(int index)` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`QueryResultSchema.Builder` `setColumn(int index, ColumnDescription.Builder builderForValue)` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`QueryResultSchema.Builder` `setColumn(int index, ColumnDescription value)` `repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`
`QueryResultSchema.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`QueryResultSchema.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`QueryResultSchema.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultSchema.Builder>`

#### clear

    public QueryResultSchema.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultSchema.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultSchema.Builder>`

#### getDefaultInstanceForType

    public QueryResultSchema getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public QueryResultSchema build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public QueryResultSchema buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public QueryResultSchema.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultSchema.Builder>`

#### setField

    public QueryResultSchema.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                              Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultSchema.Builder>`

#### clearField

    public QueryResultSchema.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultSchema.Builder>`

#### clearOneof

    public QueryResultSchema.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultSchema.Builder>`

#### setRepeatedField

    public QueryResultSchema.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                      int index,
                                                      Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultSchema.Builder>`

#### addRepeatedField

    public QueryResultSchema.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                      Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultSchema.Builder>`

#### mergeFrom

    public QueryResultSchema.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<QueryResultSchema.Builder>`

#### mergeFrom

    public QueryResultSchema.Builder mergeFrom(QueryResultSchema other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultSchema.Builder>`

#### mergeFrom

    public QueryResultSchema.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                        throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<QueryResultSchema.Builder>`
Throws:
  `IOException`

#### getColumnList

    public List<ColumnDescription> getColumnList()

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

Specified by:
  `getColumnList` in interface `QueryResultSchemaOrBuilder`

#### getColumnCount

    public int getColumnCount()

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

Specified by:
  `getColumnCount` in interface `QueryResultSchemaOrBuilder`

#### getColumn

    public ColumnDescription getColumn(int index)

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

Specified by:
  `getColumn` in interface `QueryResultSchemaOrBuilder`

#### setColumn

    public QueryResultSchema.Builder setColumn(int index,
                                               ColumnDescription value)

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

#### setColumn

    public QueryResultSchema.Builder setColumn(int index,
                                               ColumnDescription.Builder builderForValue)

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

#### addColumn

    public QueryResultSchema.Builder addColumn(ColumnDescription value)

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

#### addColumn

    public QueryResultSchema.Builder addColumn(int index,
                                               ColumnDescription value)

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

#### addColumn

    public QueryResultSchema.Builder addColumn(ColumnDescription.Builder builderForValue)

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

#### addColumn

    public QueryResultSchema.Builder addColumn(int index,
                                               ColumnDescription.Builder builderForValue)

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

#### addAllColumn

    public QueryResultSchema.Builder addAllColumn(Iterable<? extends ColumnDescription> values)

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

#### clearColumn

    public QueryResultSchema.Builder clearColumn()

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

#### removeColumn

    public QueryResultSchema.Builder removeColumn(int index)

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

#### getColumnBuilder

    public ColumnDescription.Builder getColumnBuilder(int index)

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

#### getColumnOrBuilder

    public ColumnDescriptionOrBuilder getColumnOrBuilder(int index)

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

Specified by:
  `getColumnOrBuilder` in interface `QueryResultSchemaOrBuilder`

#### getColumnOrBuilderList

    public List<? extends ColumnDescriptionOrBuilder> getColumnOrBuilderList()

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

Specified by:
  `getColumnOrBuilderList` in interface `QueryResultSchemaOrBuilder`

#### addColumnBuilder

    public ColumnDescription.Builder addColumnBuilder()

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

#### addColumnBuilder

    public ColumnDescription.Builder addColumnBuilder(int index)

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

#### getColumnBuilderList

    public List<ColumnDescription.Builder> getColumnBuilderList()

`repeated .salesforce.hyperdb.grpc.v1.ColumnDescription column = 1;`

#### setUnknownFields

    public final QueryResultSchema.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultSchema.Builder>`

#### mergeUnknownFields

    public final QueryResultSchema.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultSchema.Builder>`